Loading...
Searching...
No Matches
lirc.client.Reply Class Reference
Python client bindings » Classes to receive keypresses » Classes to send commands

The status/result from parsing a command reply. More...

Inheritance diagram for lirc.client.Reply:

## Public Member Functions

| __init__ (self)

## Public Attributes

| result = Result.INCOMPLETE
| Enum Result, reflects parser state.
| success = None
| bool, reflects SUCCESS/ERROR.
list | data = []
| List of lines, the command DATA payload.
bool | sighup = False
| bool, reflects if a SIGHUP package has been received
str | last_line = ''
| str, last input line (for error messages).

## Detailed Description

The status/result from parsing a command reply.

Definition at line 422 of file client.py.

## Constructor & Destructor Documentation

## __init__()

lirc.client.Reply.__init__ | ( |  | self | ) |

Definition at line 440 of file client.py.

## Member Data Documentation

## data

list lirc.client.Reply.data = []

List of lines, the command DATA payload.

Definition at line 443 of file client.py.

## last_line

str lirc.client.Reply.last_line = ''

str, last input line (for error messages).

Definition at line 445 of file client.py.

## result

lirc.client.Reply.result = Result.INCOMPLETE

Enum Result, reflects parser state.

Definition at line 441 of file client.py.

## sighup

bool lirc.client.Reply.sighup = False

bool, reflects if a SIGHUP package has been received

Definition at line 444 of file client.py.

## success

lirc.client.Reply.success = None

bool, reflects SUCCESS/ERROR.

Definition at line 442 of file client.py.

The documentation for this class was generated from the following file:

- client.py